Skip to main content

GET /api/historical/marketcap/{token}/{days}

/api/historical/marketcap/:token/:days

GET marketcap data from historical service

Endpoint​

GET https://api.web3identity.com/api/historical/marketcap/{token}/{days}

Parameters​

NameInTypeRequiredDescription
fromquerystring❌Start date (YYYY-MM-DD)
toquerystring❌End date (YYYY-MM-DD)

Example Request​

curl -s "https://api.web3identity.com/api/historical/marketcap/:token/:days" | jq

Responses​

200 Success​

{
"success": true,
"data": {}
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec